libgdamm Reference Documentation

Main Page Namespaces Book

# queryjoin.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::QueryJoin
| This object is a join, within a SELECT query, between two different entities participating in the query; the entities are themselves represented by GdaQueryTarget objects. More...

## Enumerations

enum | Gnome::Gda::QueryJoinType { Gnome::Gda::QUERY_JOIN_TYPE_INNER, Gnome::Gda::QUERY_JOIN_TYPE_LEFT_OUTER, Gnome::Gda::QUERY_JOIN_TYPE_RIGHT_OUTER, Gnome::Gda::QUERY_JOIN_TYPE_FULL_OUTER, Gnome::Gda::QUERY_JOIN_TYPE_CROSS, Gnome::Gda::QUERY_JOIN_TYPE_LAST }